summaryrefslogtreecommitdiffstats
path: root/misc/viking/viking.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/viking/viking.SlackBuild')
-rw-r--r--misc/viking/viking.SlackBuild14
1 files changed, 6 insertions, 8 deletions
diff --git a/misc/viking/viking.SlackBuild b/misc/viking/viking.SlackBuild
index a510817dcc..2844caef18 100644
--- a/misc/viking/viking.SlackBuild
+++ b/misc/viking/viking.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for viking.
-# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# Copyright 2009,2010 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,16 +23,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=viking
-VERSION=${VERSION:-0.9.9}
+VERSION=${VERSION:-0.9.94}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -75,15 +73,15 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --disable-scrollkeeper \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep -E "executable|shared object" | grep ELF | \
- cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# /usr/man is empty
rm -rf $PKG/usr/man